Debian Bug report logs - #584830
linux-image-2.6.32-5-amd64: USB 3.0 / xhci prevents suspend

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: "Thomas Jollans" <thomas@jollybox.de>

Date: Sun, 6 Jun 2010 22:45:08 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version 2.6.32-15

Fixed in version 2.6.39-3

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=16153

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#584830; Package linux-2.6. (Sun, 06 Jun 2010 22:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thomas Jollans" <thomas@jollybox.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 06 Jun 2010 22:45:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Thomas Jollans" <thomas@jollybox.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.32-5-amd64: USB 3.0 / xhci prevents suspend
Date: Mon, 07 Jun 2010 00:33:46 +0200
Package: linux-2.6
Version: 2.6.32-15
Severity: normal

My motherboard includes a USB 3.0 controller, handled by the xhci
module. When the xhci module is loaded, the system fails to suspend with
the following log messages:

[  458.601622] pm_op(): usb_dev_suspend+0x0/0xa [usbcore] returns -2
[  458.601624] PM: Device usb2 failed to suspend: error -2

When I unload the xhci module, the system suspends just fine, without
this message.

Relevant `lsusb -v` and dmesg output parts follow:

# lsusb -v 
 [ ... ]
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               3.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         3 
  bMaxPacketSize0         9
  idVendor           0x1d6b Linux Foundation
  idProduct          0x0003 3.0 root hub
  bcdDevice            2.06
  iManufacturer           3 Linux 2.6.32-5-amd64 xhci_hcd
  iProduct                2 xHCI Host Controller
  iSerial                 1 0000:04:00.0
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xe0
      Self Powered
      Remote Wakeup
    MaxPower                0mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0004  1x 4 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             4
  wHubCharacteristic 0x0009
    Per-port power switching
    Per-port overcurrent protection
    TT think time 8 FS bits
  bPwrOn2PwrGood       10 * 2 milli seconds
  bHubContrCurrent      0 milli Ampere
  DeviceRemovable    0x00
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0100 power
   Port 3: 0000.0100 power
   Port 4: 0000.0100 power
Device Status:     0x0003
  Self Powered
  Remote Wakeup Enabled

# pm-suspend
# dmesg
 [ ... ]
[  457.630373] PM: Syncing filesystems ... done.
[  457.744997] PM: Preparing system for mem sleep
[  457.747218] Freezing user space processes ... (elapsed 0.00 seconds) done.
[  457.747607] Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
[  457.747642] PM: Entering mem sleep
[  457.747653] Suspending console(s) (use no_console_suspend to debug)
[  457.812103] sd 3:0:0:0: [sdb] Synchronizing SCSI cache
[  457.812321] sd 3:0:0:0: [sdb] Stopping disk
[  458.225455] sd 2:0:0:0: [sda] Synchronizing SCSI cache
[  458.240627] sd 2:0:0:0: [sda] Stopping disk
[  458.601622] pm_op(): usb_dev_suspend+0x0/0xa [usbcore] returns -2
[  458.601624] PM: Device usb2 failed to suspend: error -2
[  458.601626] PM: Some devices failed to suspend
[  458.822063] sd 2:0:0:0: [sda] Starting disk
[  460.874188] sd 3:0:0:0: [sdb] Starting disk
[  465.811159] PM: Finishing wakeup.
[  465.811160] Restarting tasks ... done.

# modprobe -r xhci
# pm-suspend

--

Suspend then works without a problem. dmesg output is, as one would expect,
full of what looks to me like routine device suspend, later resume, log
messages.

The USB 3.0 controller doesn't appear in the USB device list reportbug added below since the module has been unloaded. It appears in the PCI device list, though, in case that helps.


-- Package-specific info:
** Version:
Linux version 2.6.32-5-amd64 (Debian 2.6.32-15) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-1) ) #1 SMP Tue Jun 1 04:34:03 UTC 2010

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.32-5-amd64 root=UUID=d6aacc5e-b385-440f-a972-523ec3e3945d ro quiet

** Tainted: P (1)
 * Proprietary module has been loaded.

** Kernel log:
[ removed, irrelevant. See above for relevant log parts. ]

** Model information
sys_vendor: Gigabyte Technology Co., Ltd.
product_name: GA-770TA-UD3
product_version:  
chassis_vendor: Gigabyte Technology Co., Ltd.
chassis_version:  
bios_vendor: Award Software International, Inc.
bios_version: F2
board_vendor: Gigabyte Technology Co., Ltd.
board_name: GA-770TA-UD3
board_version: x.x

** Loaded modules:
Module                  Size  Used by
sco                     7209  2 
ppdev                   5030  0 
lp                      7462  0 
bridge                 39598  0 
stp                     1440  1 bridge
bnep                    9427  2 
rfcomm                 29581  0 
l2cap                  24736  6 bnep,rfcomm
bluetooth              41827  6 sco,bnep,rfcomm,l2cap
rfkill                 13044  2 bluetooth
powernow_k8            10978  0 
cpufreq_conservative     5162  0 
cpufreq_userspace       1992  0 
cpufreq_powersave        902  0 
cpufreq_stats           2659  0 
vboxnetadp              4193  0 
vboxnetflt             12415  0 
vboxdrv              1723686  2 vboxnetadp,vboxnetflt
binfmt_misc             6431  1 
fuse                   50190  1 
ext4                  285611  1 
jbd2                   66919  1 ext4
crc16                   1319  2 l2cap,ext4
ext2                   52969  1 
firewire_sbp2          11514  0 
loop                   11783  0 
isl6421                 1388  1 
cx24123                11111  1 
snd_hda_codec_atihdmi     2251  1 
cx88_dvb               16516  0 
cx88_vp3054_i2c         1636  1 cx88_dvb
videobuf_dvb            4130  1 cx88_dvb
snd_hda_codec_realtek   235506  1 
snd_hda_intel          19907  2 
snd_usb_audio          64070  2 
dvb_core               74570  2 cx88_dvb,videobuf_dvb
snd_hda_codec          54244  3 snd_hda_codec_atihdmi,snd_hda_codec_realtek,snd_hda_intel
snd_usb_lib            13928  1 snd_usb_audio
snd_hwdep               5380  2 snd_usb_audio,snd_hda_codec
cx88_alsa               7843  1 
cx8802                 11189  1 cx88_dvb
cx8800                 24967  0 
snd_seq_midi            4400  0 
snd_pcm_oss            32591  0 
snd_rawmidi            15515  2 snd_usb_lib,snd_seq_midi
snd_mixer_oss          12606  1 snd_pcm_oss
snd_seq_midi_event      4628  1 snd_seq_midi
snd_pcm                60471  5 snd_hda_intel,snd_usb_audio,snd_hda_codec,cx88_alsa,snd_pcm_oss
snd_seq                42881  2 snd_seq_midi,snd_seq_midi_event
snd_timer              15582  2 snd_pcm,snd_seq
cx88xx                 65064  4 cx88_dvb,cx88_alsa,cx8802,cx8800
snd_seq_device          4493  3 snd_seq_midi,snd_rawmidi,snd_seq
v4l2_common            11720  2 cx8800,cx88xx
ir_common              24271  1 cx88xx
usbhid                 33260  0 
videodev               29993  3 cx8800,cx88xx,v4l2_common
snd                    46446  23 snd_hda_codec_realtek,snd_hda_intel,snd_usb_audio,snd_hda_codec,snd_hwdep,cx88_alsa,snd_pcm_oss,snd_rawmidi,snd_mixer_oss,snd_pcm,snd_seq,snd_timer,snd_seq_device
soundcore               4598  1 snd
v4l1_compat            11442  1 videodev
i2c_algo_bit            4225  2 cx88_vp3054_i2c,cx88xx
hid                    62825  1 usbhid
v4l2_compat_ioctl32     8538  1 videodev
tveeprom               12057  1 cx88xx
videobuf_dma_sg         8403  5 cx88_dvb,cx88_alsa,cx8802,cx8800,cx88xx
btcx_risc               2899  4 cx88_alsa,cx8802,cx8800,cx88xx
videobuf_core          12244  5 videobuf_dvb,cx8802,cx8800,cx88xx,videobuf_dma_sg
fglrx                2385795  31 
i2c_piix4               8328  0 
i2c_core               15712  10 isl6421,cx24123,cx88_vp3054_i2c,cx8800,cx88xx,v4l2_common,videodev,i2c_algo_bit,tveeprom,i2c_piix4
snd_page_alloc          6249  2 snd_hda_intel,snd_pcm
edac_core              29261  0 
edac_mce_amd            6433  0 
evdev                   7352  17 
parport_pc             18855  1 
tpm_tis                 7336  0 
tpm                     9917  1 tpm_tis
parport                27954  3 ppdev,lp,parport_pc
pcspkr                  1699  0 
button                  4650  0 
tpm_bios                4521  1 tpm
processor              30231  1 powernow_k8
ext3                  106518  2 
jbd                    37085  1 ext3
mbcache                 5050  3 ext4,ext2,ext3
dm_mod                 53754  9 
usb_storage            39449  0 
sg                     18744  0 
sr_mod                 12602  0 
cdrom                  29415  1 sr_mod
sd_mod                 29777  7 
crc_t10dif              1276  1 sd_mod
ata_generic             2983  0 
ohci_hcd               19212  0 
firewire_ohci          19468  0 
pata_jmicron            2280  0 
firewire_core          36736  2 firewire_sbp2,firewire_ohci
crc_itu_t               1307  1 firewire_core
pata_atiixp             3489  0 
ahci                   32358  5 
ehci_hcd               31039  0 
r8169                  28877  0 
mii                     3210  1 r8169
usbcore               121959  7 snd_usb_audio,snd_usb_lib,usbhid,usb_storage,ohci_hcd,ehci_hcd
nls_base                6361  1 usbcore
libata                133520  4 ata_generic,pata_jmicron,pata_atiixp,ahci
scsi_mod              122117  6 firewire_sbp2,usb_storage,sg,sr_mod,sd_mod,libata
thermal                11674  0 
thermal_sys            11942  2 processor,thermal

** PCI devices:
00:00.0 Host bridge [0600]: ATI Technologies Inc RX780/RX790 Chipset Host Bridge [1002:5957]
	Subsystem: ATI Technologies Inc RX780/RX790 Chipset Host Bridge [1002:5957]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 32
	Region 3: Memory at <ignored> (64-bit, non-prefetchable)
	Capabilities: <access denied>

00:02.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (external gfx0 port A) [1002:5978] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: fdf00000-fdffffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:06.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port C) [1002:597c] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fde00000-fdefffff
	Prefetchable memory behind bridge: 00000000fdd00000-00000000fddfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:07.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port D) [1002:597d] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fdc00000-fdcfffff
	Prefetchable memory behind bridge: 00000000fdb00000-00000000fdbfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:09.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port E) [1002:597e] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fda00000-fdafffff
	Prefetchable memory behind bridge: 00000000fd900000-00000000fd9fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:0a.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port F) [1002:597f] (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: fd800000-fd8fffff
	Prefetchable memory behind bridge: 00000000fd600000-00000000fd6fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA Controller [IDE mode] [1002:4390] (prog-if 01 [AHCI 1.0])
	Subsystem: Giga-byte Technology Device [1458:b002]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at ff00 [size=8]
	Region 1: I/O ports at fe00 [size=4]
	Region 2: I/O ports at fd00 [size=8]
	Region 3: I/O ports at fc00 [size=4]
	Region 4: I/O ports at fb00 [size=16]
	Region 5: Memory at fe02f000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci
	Kernel modules: ahci

00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: Giga-byte Technology Device [1458:5004]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe02e000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:12.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: Giga-byte Technology Device [1458:5004]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: Giga-byte Technology Device [1458:5004]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at fe02c000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
	Subsystem: Giga-byte Technology Device [1458:5004]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fe02b000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:13.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
	Subsystem: Giga-byte Technology Device [1458:5004]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fe02a000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
	Subsystem: Giga-byte Technology Device [1458:5004]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at fe029000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 3c)
	Subsystem: Giga-byte Technology Device [1458:4385]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>
	Kernel modules: i2c-piix4

00:14.1 IDE interface [0101]: ATI Technologies Inc SB700/SB800 IDE Controller [1002:439c] (prog-if 8a [Master SecP PriP])
	Subsystem: Giga-byte Technology Device [1458:5002]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at fa00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_atiixp
	Kernel modules: ata_generic, pata_atiixp

00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
	Subsystem: Giga-byte Technology Device [1458:a002]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin ? routed to IRQ 16
	Region 0: Memory at fe024000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
	Subsystem: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384] (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop+ ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=64
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: f8000000-fcffffff
	Prefetchable memory behind bridge: fd700000-fd7fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

00:14.5 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller [1002:4399] (prog-if 10 [OHCI])
	Subsystem: Giga-byte Technology Device [1458:5004]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at fe028000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd
	Kernel modules: ohci-hcd

00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] HyperTransport Configuration [1022:1200]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] Address Map [1022:1201]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] DRAM Controller [1022:1202]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Kernel modules: amd64_edac_mod

00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] Miscellaneous Control [1022:1203]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Capabilities: <access denied>

00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] Link Control [1022:1204]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV710 [Radeon HD 4550] [1002:9540] (prog-if 00 [VGA controller])
	Subsystem: Giga-byte Technology Device [1458:21ae]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 31
	Region 0: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 2: Memory at fdfe0000 (64-bit, non-prefetchable) [size=64K]
	Region 4: I/O ports at ae00 [size=256]
	[virtual] Expansion ROM at fdf00000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: fglrx_pci
	Kernel modules: radeon

01:00.1 Audio device [0403]: ATI Technologies Inc RV710/730 [1002:aa38]
	Subsystem: Giga-byte Technology Device [1458:aa38]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at fdffc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

02:00.0 SATA controller [0106]: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller [197b:2363] (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard [1458:b000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 5: Memory at fdefe000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: ahci
	Kernel modules: ahci

02:00.1 IDE interface [0101]: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller [197b:2363] (rev 03) (prog-if 85 [Master SecO PriO])
	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard [1458:b000]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at ef00 [size=8]
	Region 1: I/O ports at ee00 [size=4]
	Region 2: I/O ports at ed00 [size=8]
	Region 3: I/O ports at ec00 [size=4]
	Region 4: I/O ports at eb00 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_jmicron
	Kernel modules: pata_jmicron, ata_generic

03:00.0 IDE interface [0101]: Device [1b4b:91a3] (rev 11) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Giga-byte Technology Device [1458:b000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 5
	Region 0: I/O ports at df00 [size=8]
	Region 1: I/O ports at de00 [size=4]
	Region 2: I/O ports at dd00 [size=8]
	Region 3: I/O ports at dc00 [size=4]
	Region 4: I/O ports at db00 [size=16]
	Region 5: Memory at fdcff000 (32-bit, non-prefetchable) [size=2K]
	[virtual] Expansion ROM at fdb00000 [disabled] [size=64K]
	Capabilities: <access denied>
	Kernel modules: ata_generic

04:00.0 USB Controller [0c03]: NEC Corporation uPD720200 USB 3.0 Host Controller [1033:0194] (rev 03) (prog-if 30)
	Subsystem: Giga-byte Technology Device [1458:5007]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at fdafe000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel modules: xhci

05:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard [1458:e000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 30
	Region 0: I/O ports at be00 [size=256]
	Region 2: Memory at fd6ff000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at fd6f8000 (64-bit, prefetchable) [size=16K]
	[virtual] Expansion ROM at fd600000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169
	Kernel modules: r8169

06:07.0 Multimedia video controller [0400]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [14f1:8800] (rev 05)
	Subsystem: Hauppauge computer works Inc. Nova-S-Plus DVB-S [0070:9202]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (5000ns min, 13750ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at f9000000 (32-bit, non-prefetchable) [size=16M]
	Capabilities: <access denied>
	Kernel driver in use: cx8800
	Kernel modules: cx8800

06:07.1 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [Audio Port] [14f1:8801] (rev 05)
	Subsystem: Hauppauge computer works Inc. Device [0070:9202]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (1000ns min, 63750ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at f8000000 (32-bit, non-prefetchable) [size=16M]
	Capabilities: <access denied>
	Kernel driver in use: cx88_audio
	Kernel modules: cx88-alsa

06:07.2 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [MPEG Port] [14f1:8802] (rev 05)
	Subsystem: Hauppauge computer works Inc. Device [0070:9202]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (1500ns min, 22000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
	Capabilities: <access denied>
	Kernel driver in use: cx88-mpeg driver manager
	Kernel modules: cx8802

06:07.4 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [IR Port] [14f1:8804] (rev 05)
	Subsystem: Hauppauge computer works Inc. Device [0070:9202]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (1500ns min, 63750ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 3
	Region 0: Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
	Capabilities: <access denied>

06:0e.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link) [104c:8024] (prog-if 10 [OHCI])
	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard [1458:1000]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at fcfff000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at fcff8000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci


** USB devices:
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 003: ID 08bb:2900 Texas Instruments Japan PCM2900 Audio Codec
Bus 007 Device 002: ID 058f:9254 Alcor Micro Corp. Hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 002: ID 1307:0330 Transcend Information, Inc. 
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 046d:c046 Logitech, Inc. RX1000 Laser Mouse
Bus 001 Device 002: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.32-5-amd64 depends on:
ii  debconf [debconf-2.0]        1.5.32      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.95.1      tools for generating an initramfs
ii  linux-base                   2.6.32-15   Linux image base package
ii  module-init-tools            3.12~pre2-3 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-5-amd64 recommends:
ii  firmware-linux-free           2.6.32-15  Binary firmware for various driver

Versions of packages linux-image-2.6.32-5-amd64 suggests:
ii  grub                          0.97-61    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#584830; Package linux-2.6. (Mon, 07 Jun 2010 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 Jun 2010 01:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 584830@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Sarah Sharp <sarah.a.sharp@linux.intel.com>
Cc: Thomas Jollans <thomas@jollybox.de>, 584830@bugs.debian.org, linux-usb@vger.kernel.org
Subject: Re: Bug#584830: linux-image-2.6.32-5-amd64: USB 3.0 / xhci prevents suspend
Date: Mon, 07 Jun 2010 02:18:26 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-06-07 at 00:33 +0200, Thomas Jollans wrote:
> Package: linux-2.6
> Version: 2.6.32-15
> Severity: normal
> 
> My motherboard includes a USB 3.0 controller, handled by the xhci
> module. When the xhci module is loaded, the system fails to suspend with
> the following log messages:
> 
> [  458.601622] pm_op(): usb_dev_suspend+0x0/0xa [usbcore] returns -2
> [  458.601624] PM: Device usb2 failed to suspend: error -2
> 
> When I unload the xhci module, the system suspends just fine, without
> this message.

Sarah, any idea what's going on here?  Debian version 2.6.32-15 is
closely based on stable version 2.6.32.14.  I didn't see any later
changes to xhci that look related to PM.

Ben.

> Relevant `lsusb -v` and dmesg output parts follow:
> 
> # lsusb -v 
>  [ ... ]
> Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> Device Descriptor:
>   bLength                18
>   bDescriptorType         1
>   bcdUSB               3.00
>   bDeviceClass            9 Hub
>   bDeviceSubClass         0 Unused
>   bDeviceProtocol         3 
>   bMaxPacketSize0         9
>   idVendor           0x1d6b Linux Foundation
>   idProduct          0x0003 3.0 root hub
>   bcdDevice            2.06
>   iManufacturer           3 Linux 2.6.32-5-amd64 xhci_hcd
>   iProduct                2 xHCI Host Controller
>   iSerial                 1 0000:04:00.0
>   bNumConfigurations      1
>   Configuration Descriptor:
>     bLength                 9
>     bDescriptorType         2
>     wTotalLength           25
>     bNumInterfaces          1
>     bConfigurationValue     1
>     iConfiguration          0 
>     bmAttributes         0xe0
>       Self Powered
>       Remote Wakeup
>     MaxPower                0mA
>     Interface Descriptor:
>       bLength                 9
>       bDescriptorType         4
>       bInterfaceNumber        0
>       bAlternateSetting       0
>       bNumEndpoints           1
>       bInterfaceClass         9 Hub
>       bInterfaceSubClass      0 Unused
>       bInterfaceProtocol      0 Full speed (or root) hub
>       iInterface              0 
>       Endpoint Descriptor:
>         bLength                 7
>         bDescriptorType         5
>         bEndpointAddress     0x81  EP 1 IN
>         bmAttributes            3
>           Transfer Type            Interrupt
>           Synch Type               None
>           Usage Type               Data
>         wMaxPacketSize     0x0004  1x 4 bytes
>         bInterval              12
> Hub Descriptor:
>   bLength               9
>   bDescriptorType      41
>   nNbrPorts             4
>   wHubCharacteristic 0x0009
>     Per-port power switching
>     Per-port overcurrent protection
>     TT think time 8 FS bits
>   bPwrOn2PwrGood       10 * 2 milli seconds
>   bHubContrCurrent      0 milli Ampere
>   DeviceRemovable    0x00
>   PortPwrCtrlMask    0xff
>  Hub Port Status:
>    Port 1: 0000.0100 power
>    Port 2: 0000.0100 power
>    Port 3: 0000.0100 power
>    Port 4: 0000.0100 power
> Device Status:     0x0003
>   Self Powered
>   Remote Wakeup Enabled
> 
> # pm-suspend
> # dmesg
>  [ ... ]
> [  457.630373] PM: Syncing filesystems ... done.
> [  457.744997] PM: Preparing system for mem sleep
> [  457.747218] Freezing user space processes ... (elapsed 0.00 seconds) done.
> [  457.747607] Freezing remaining freezable tasks ... (elapsed 0.00 seconds) done.
> [  457.747642] PM: Entering mem sleep
> [  457.747653] Suspending console(s) (use no_console_suspend to debug)
> [  457.812103] sd 3:0:0:0: [sdb] Synchronizing SCSI cache
> [  457.812321] sd 3:0:0:0: [sdb] Stopping disk
> [  458.225455] sd 2:0:0:0: [sda] Synchronizing SCSI cache
> [  458.240627] sd 2:0:0:0: [sda] Stopping disk
> [  458.601622] pm_op(): usb_dev_suspend+0x0/0xa [usbcore] returns -2
> [  458.601624] PM: Device usb2 failed to suspend: error -2
> [  458.601626] PM: Some devices failed to suspend
> [  458.822063] sd 2:0:0:0: [sda] Starting disk
> [  460.874188] sd 3:0:0:0: [sdb] Starting disk
> [  465.811159] PM: Finishing wakeup.
> [  465.811160] Restarting tasks ... done.
> 
> # modprobe -r xhci
> # pm-suspend
> 
> --
> 
> Suspend then works without a problem. dmesg output is, as one would expect,
> full of what looks to me like routine device suspend, later resume, log
> messages.
> 
> The USB 3.0 controller doesn't appear in the USB device list reportbug added below since the module has been unloaded. It appears in the PCI device list, though, in case that helps.
> 
> 
> -- Package-specific info:
> ** Version:
> Linux version 2.6.32-5-amd64 (Debian 2.6.32-15) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-1) ) #1 SMP Tue Jun 1 04:34:03 UTC 2010
> 
> ** Command line:
> BOOT_IMAGE=/vmlinuz-2.6.32-5-amd64 root=UUID=d6aacc5e-b385-440f-a972-523ec3e3945d ro quiet
> 
> ** Tainted: P (1)
>  * Proprietary module has been loaded.
> 
> ** Kernel log:
> [ removed, irrelevant. See above for relevant log parts. ]
> 
> ** Model information
> sys_vendor: Gigabyte Technology Co., Ltd.
> product_name: GA-770TA-UD3
> product_version:  
> chassis_vendor: Gigabyte Technology Co., Ltd.
> chassis_version:  
> bios_vendor: Award Software International, Inc.
> bios_version: F2
> board_vendor: Gigabyte Technology Co., Ltd.
> board_name: GA-770TA-UD3
> board_version: x.x
> 
> ** Loaded modules:
> Module                  Size  Used by
> sco                     7209  2 
> ppdev                   5030  0 
> lp                      7462  0 
> bridge                 39598  0 
> stp                     1440  1 bridge
> bnep                    9427  2 
> rfcomm                 29581  0 
> l2cap                  24736  6 bnep,rfcomm
> bluetooth              41827  6 sco,bnep,rfcomm,l2cap
> rfkill                 13044  2 bluetooth
> powernow_k8            10978  0 
> cpufreq_conservative     5162  0 
> cpufreq_userspace       1992  0 
> cpufreq_powersave        902  0 
> cpufreq_stats           2659  0 
> vboxnetadp              4193  0 
> vboxnetflt             12415  0 
> vboxdrv              1723686  2 vboxnetadp,vboxnetflt
> binfmt_misc             6431  1 
> fuse                   50190  1 
> ext4                  285611  1 
> jbd2                   66919  1 ext4
> crc16                   1319  2 l2cap,ext4
> ext2                   52969  1 
> firewire_sbp2          11514  0 
> loop                   11783  0 
> isl6421                 1388  1 
> cx24123                11111  1 
> snd_hda_codec_atihdmi     2251  1 
> cx88_dvb               16516  0 
> cx88_vp3054_i2c         1636  1 cx88_dvb
> videobuf_dvb            4130  1 cx88_dvb
> snd_hda_codec_realtek   235506  1 
> snd_hda_intel          19907  2 
> snd_usb_audio          64070  2 
> dvb_core               74570  2 cx88_dvb,videobuf_dvb
> snd_hda_codec          54244  3 snd_hda_codec_atihdmi,snd_hda_codec_realtek,snd_hda_intel
> snd_usb_lib            13928  1 snd_usb_audio
> snd_hwdep               5380  2 snd_usb_audio,snd_hda_codec
> cx88_alsa               7843  1 
> cx8802                 11189  1 cx88_dvb
> cx8800                 24967  0 
> snd_seq_midi            4400  0 
> snd_pcm_oss            32591  0 
> snd_rawmidi            15515  2 snd_usb_lib,snd_seq_midi
> snd_mixer_oss          12606  1 snd_pcm_oss
> snd_seq_midi_event      4628  1 snd_seq_midi
> snd_pcm                60471  5 snd_hda_intel,snd_usb_audio,snd_hda_codec,cx88_alsa,snd_pcm_oss
> snd_seq                42881  2 snd_seq_midi,snd_seq_midi_event
> snd_timer              15582  2 snd_pcm,snd_seq
> cx88xx                 65064  4 cx88_dvb,cx88_alsa,cx8802,cx8800
> snd_seq_device          4493  3 snd_seq_midi,snd_rawmidi,snd_seq
> v4l2_common            11720  2 cx8800,cx88xx
> ir_common              24271  1 cx88xx
> usbhid                 33260  0 
> videodev               29993  3 cx8800,cx88xx,v4l2_common
> snd                    46446  23 snd_hda_codec_realtek,snd_hda_intel,snd_usb_audio,snd_hda_codec,snd_hwdep,cx88_alsa,snd_pcm_oss,snd_rawmidi,snd_mixer_oss,snd_pcm,snd_seq,snd_timer,snd_seq_device
> soundcore               4598  1 snd
> v4l1_compat            11442  1 videodev
> i2c_algo_bit            4225  2 cx88_vp3054_i2c,cx88xx
> hid                    62825  1 usbhid
> v4l2_compat_ioctl32     8538  1 videodev
> tveeprom               12057  1 cx88xx
> videobuf_dma_sg         8403  5 cx88_dvb,cx88_alsa,cx8802,cx8800,cx88xx
> btcx_risc               2899  4 cx88_alsa,cx8802,cx8800,cx88xx
> videobuf_core          12244  5 videobuf_dvb,cx8802,cx8800,cx88xx,videobuf_dma_sg
> fglrx                2385795  31 
> i2c_piix4               8328  0 
> i2c_core               15712  10 isl6421,cx24123,cx88_vp3054_i2c,cx8800,cx88xx,v4l2_common,videodev,i2c_algo_bit,tveeprom,i2c_piix4
> snd_page_alloc          6249  2 snd_hda_intel,snd_pcm
> edac_core              29261  0 
> edac_mce_amd            6433  0 
> evdev                   7352  17 
> parport_pc             18855  1 
> tpm_tis                 7336  0 
> tpm                     9917  1 tpm_tis
> parport                27954  3 ppdev,lp,parport_pc
> pcspkr                  1699  0 
> button                  4650  0 
> tpm_bios                4521  1 tpm
> processor              30231  1 powernow_k8
> ext3                  106518  2 
> jbd                    37085  1 ext3
> mbcache                 5050  3 ext4,ext2,ext3
> dm_mod                 53754  9 
> usb_storage            39449  0 
> sg                     18744  0 
> sr_mod                 12602  0 
> cdrom                  29415  1 sr_mod
> sd_mod                 29777  7 
> crc_t10dif              1276  1 sd_mod
> ata_generic             2983  0 
> ohci_hcd               19212  0 
> firewire_ohci          19468  0 
> pata_jmicron            2280  0 
> firewire_core          36736  2 firewire_sbp2,firewire_ohci
> crc_itu_t               1307  1 firewire_core
> pata_atiixp             3489  0 
> ahci                   32358  5 
> ehci_hcd               31039  0 
> r8169                  28877  0 
> mii                     3210  1 r8169
> usbcore               121959  7 snd_usb_audio,snd_usb_lib,usbhid,usb_storage,ohci_hcd,ehci_hcd
> nls_base                6361  1 usbcore
> libata                133520  4 ata_generic,pata_jmicron,pata_atiixp,ahci
> scsi_mod              122117  6 firewire_sbp2,usb_storage,sg,sr_mod,sd_mod,libata
> thermal                11674  0 
> thermal_sys            11942  2 processor,thermal
> 
> ** PCI devices:
> 00:00.0 Host bridge [0600]: ATI Technologies Inc RX780/RX790 Chipset Host Bridge [1002:5957]
> 	Subsystem: ATI Technologies Inc RX780/RX790 Chipset Host Bridge [1002:5957]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
> 	Latency: 32
> 	Region 3: Memory at <ignored> (64-bit, non-prefetchable)
> 	Capabilities: <access denied>
> 
> 00:02.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (external gfx0 port A) [1002:5978] (prog-if 00 [Normal decode])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
> 	I/O behind bridge: 0000a000-0000afff
> 	Memory behind bridge: fdf00000-fdffffff
> 	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
> 	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
> 	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
> 		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
> 	Capabilities: <access denied>
> 	Kernel driver in use: pcieport
> 	Kernel modules: shpchp
> 
> 00:06.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port C) [1002:597c] (prog-if 00 [Normal decode])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
> 	I/O behind bridge: 0000e000-0000efff
> 	Memory behind bridge: fde00000-fdefffff
> 	Prefetchable memory behind bridge: 00000000fdd00000-00000000fddfffff
> 	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
> 	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
> 		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
> 	Capabilities: <access denied>
> 	Kernel driver in use: pcieport
> 	Kernel modules: shpchp
> 
> 00:07.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port D) [1002:597d] (prog-if 00 [Normal decode])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
> 	I/O behind bridge: 0000d000-0000dfff
> 	Memory behind bridge: fdc00000-fdcfffff
> 	Prefetchable memory behind bridge: 00000000fdb00000-00000000fdbfffff
> 	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
> 	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
> 		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
> 	Capabilities: <access denied>
> 	Kernel driver in use: pcieport
> 	Kernel modules: shpchp
> 
> 00:09.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port E) [1002:597e] (prog-if 00 [Normal decode])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
> 	I/O behind bridge: 0000c000-0000cfff
> 	Memory behind bridge: fda00000-fdafffff
> 	Prefetchable memory behind bridge: 00000000fd900000-00000000fd9fffff
> 	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
> 	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
> 		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
> 	Capabilities: <access denied>
> 	Kernel driver in use: pcieport
> 	Kernel modules: shpchp
> 
> 00:0a.0 PCI bridge [0604]: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port F) [1002:597f] (prog-if 00 [Normal decode])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
> 	I/O behind bridge: 0000b000-0000bfff
> 	Memory behind bridge: fd800000-fd8fffff
> 	Prefetchable memory behind bridge: 00000000fd600000-00000000fd6fffff
> 	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
> 	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
> 		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
> 	Capabilities: <access denied>
> 	Kernel driver in use: pcieport
> 	Kernel modules: shpchp
> 
> 00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA Controller [IDE mode] [1002:4390] (prog-if 01 [AHCI 1.0])
> 	Subsystem: Giga-byte Technology Device [1458:b002]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 22
> 	Region 0: I/O ports at ff00 [size=8]
> 	Region 1: I/O ports at fe00 [size=4]
> 	Region 2: I/O ports at fd00 [size=8]
> 	Region 3: I/O ports at fc00 [size=4]
> 	Region 4: I/O ports at fb00 [size=16]
> 	Region 5: Memory at fe02f000 (32-bit, non-prefetchable) [size=1K]
> 	Capabilities: <access denied>
> 	Kernel driver in use: ahci
> 	Kernel modules: ahci
> 
> 00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
> 	Subsystem: Giga-byte Technology Device [1458:5004]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 16
> 	Region 0: Memory at fe02e000 (32-bit, non-prefetchable) [size=4K]
> 	Kernel driver in use: ohci_hcd
> 	Kernel modules: ohci-hcd
> 
> 00:12.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
> 	Subsystem: Giga-byte Technology Device [1458:5004]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 16
> 	Region 0: Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
> 	Kernel driver in use: ohci_hcd
> 	Kernel modules: ohci-hcd
> 
> 00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
> 	Subsystem: Giga-byte Technology Device [1458:5004]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin B routed to IRQ 17
> 	Region 0: Memory at fe02c000 (32-bit, non-prefetchable) [size=256]
> 	Capabilities: <access denied>
> 	Kernel driver in use: ehci_hcd
> 	Kernel modules: ehci-hcd
> 
> 00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller [1002:4397] (prog-if 10 [OHCI])
> 	Subsystem: Giga-byte Technology Device [1458:5004]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 18
> 	Region 0: Memory at fe02b000 (32-bit, non-prefetchable) [size=4K]
> 	Kernel driver in use: ohci_hcd
> 	Kernel modules: ohci-hcd
> 
> 00:13.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1 Controller [1002:4398] (prog-if 10 [OHCI])
> 	Subsystem: Giga-byte Technology Device [1458:5004]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 18
> 	Region 0: Memory at fe02a000 (32-bit, non-prefetchable) [size=4K]
> 	Kernel driver in use: ohci_hcd
> 	Kernel modules: ohci-hcd
> 
> 00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI Controller [1002:4396] (prog-if 20 [EHCI])
> 	Subsystem: Giga-byte Technology Device [1458:5004]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin B routed to IRQ 19
> 	Region 0: Memory at fe029000 (32-bit, non-prefetchable) [size=256]
> 	Capabilities: <access denied>
> 	Kernel driver in use: ehci_hcd
> 	Kernel modules: ehci-hcd
> 
> 00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller [1002:4385] (rev 3c)
> 	Subsystem: Giga-byte Technology Device [1458:4385]
> 	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
> 	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Capabilities: <access denied>
> 	Kernel modules: i2c-piix4
> 
> 00:14.1 IDE interface [0101]: ATI Technologies Inc SB700/SB800 IDE Controller [1002:439c] (prog-if 8a [Master SecP PriP])
> 	Subsystem: Giga-byte Technology Device [1458:5002]
> 	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 16
> 	Region 0: I/O ports at 01f0 [size=8]
> 	Region 1: I/O ports at 03f4 [size=1]
> 	Region 2: I/O ports at 0170 [size=8]
> 	Region 3: I/O ports at 0374 [size=1]
> 	Region 4: I/O ports at fa00 [size=16]
> 	Capabilities: <access denied>
> 	Kernel driver in use: pata_atiixp
> 	Kernel modules: ata_generic, pata_atiixp
> 
> 00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel HDA) [1002:4383]
> 	Subsystem: Giga-byte Technology Device [1458:a002]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin ? routed to IRQ 16
> 	Region 0: Memory at fe024000 (64-bit, non-prefetchable) [size=16K]
> 	Capabilities: <access denied>
> 	Kernel driver in use: HDA Intel
> 	Kernel modules: snd-hda-intel
> 
> 00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
> 	Subsystem: ATI Technologies Inc SB700/SB800 LPC host controller [1002:439d]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 
> 00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge [1002:4384] (prog-if 01 [Subtractive decode])
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop+ ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 64
> 	Bus: primary=00, secondary=06, subordinate=06, sec-latency=64
> 	I/O behind bridge: 00009000-00009fff
> 	Memory behind bridge: f8000000-fcffffff
> 	Prefetchable memory behind bridge: fd700000-fd7fffff
> 	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
> 	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
> 		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
> 
> 00:14.5 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller [1002:4399] (prog-if 10 [OHCI])
> 	Subsystem: Giga-byte Technology Device [1458:5004]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32, Cache Line Size: 64 bytes
> 	Interrupt: pin C routed to IRQ 18
> 	Region 0: Memory at fe028000 (32-bit, non-prefetchable) [size=4K]
> 	Kernel driver in use: ohci_hcd
> 	Kernel modules: ohci-hcd
> 
> 00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] HyperTransport Configuration [1022:1200]
> 	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Capabilities: <access denied>
> 
> 00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] Address Map [1022:1201]
> 	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 
> 00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] DRAM Controller [1022:1202]
> 	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Kernel modules: amd64_edac_mod
> 
> 00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] Miscellaneous Control [1022:1203]
> 	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Capabilities: <access denied>
> 
> 00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] K10 [Opteron, Athlon64, Sempron] Link Control [1022:1204]
> 	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 
> 01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV710 [Radeon HD 4550] [1002:9540] (prog-if 00 [VGA controller])
> 	Subsystem: Giga-byte Technology Device [1458:21ae]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 31
> 	Region 0: Memory at d0000000 (64-bit, prefetchable) [size=256M]
> 	Region 2: Memory at fdfe0000 (64-bit, non-prefetchable) [size=64K]
> 	Region 4: I/O ports at ae00 [size=256]
> 	[virtual] Expansion ROM at fdf00000 [disabled] [size=128K]
> 	Capabilities: <access denied>
> 	Kernel driver in use: fglrx_pci
> 	Kernel modules: radeon
> 
> 01:00.1 Audio device [0403]: ATI Technologies Inc RV710/730 [1002:aa38]
> 	Subsystem: Giga-byte Technology Device [1458:aa38]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Interrupt: pin B routed to IRQ 19
> 	Region 0: Memory at fdffc000 (64-bit, non-prefetchable) [size=16K]
> 	Capabilities: <access denied>
> 	Kernel driver in use: HDA Intel
> 	Kernel modules: snd-hda-intel
> 
> 02:00.0 SATA controller [0106]: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller [197b:2363] (rev 03) (prog-if 01 [AHCI 1.0])
> 	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard [1458:b000]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 18
> 	Region 5: Memory at fdefe000 (32-bit, non-prefetchable) [size=8K]
> 	Capabilities: <access denied>
> 	Kernel driver in use: ahci
> 	Kernel modules: ahci
> 
> 02:00.1 IDE interface [0101]: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller [197b:2363] (rev 03) (prog-if 85 [Master SecO PriO])
> 	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard [1458:b000]
> 	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0
> 	Interrupt: pin B routed to IRQ 19
> 	Region 0: I/O ports at ef00 [size=8]
> 	Region 1: I/O ports at ee00 [size=4]
> 	Region 2: I/O ports at ed00 [size=8]
> 	Region 3: I/O ports at ec00 [size=4]
> 	Region 4: I/O ports at eb00 [size=16]
> 	Capabilities: <access denied>
> 	Kernel driver in use: pata_jmicron
> 	Kernel modules: pata_jmicron, ata_generic
> 
> 03:00.0 IDE interface [0101]: Device [1b4b:91a3] (rev 11) (prog-if 8f [Master SecP SecO PriP PriO])
> 	Subsystem: Giga-byte Technology Device [1458:b000]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 5
> 	Region 0: I/O ports at df00 [size=8]
> 	Region 1: I/O ports at de00 [size=4]
> 	Region 2: I/O ports at dd00 [size=8]
> 	Region 3: I/O ports at dc00 [size=4]
> 	Region 4: I/O ports at db00 [size=16]
> 	Region 5: Memory at fdcff000 (32-bit, non-prefetchable) [size=2K]
> 	[virtual] Expansion ROM at fdb00000 [disabled] [size=64K]
> 	Capabilities: <access denied>
> 	Kernel modules: ata_generic
> 
> 04:00.0 USB Controller [0c03]: NEC Corporation uPD720200 USB 3.0 Host Controller [1033:0194] (rev 03) (prog-if 30)
> 	Subsystem: Giga-byte Technology Device [1458:5007]
> 	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Interrupt: pin A routed to IRQ 17
> 	Region 0: Memory at fdafe000 (64-bit, non-prefetchable) [size=8K]
> 	Capabilities: <access denied>
> 	Kernel modules: xhci
> 
> 05:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
> 	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard [1458:e000]
> 	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 0, Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 30
> 	Region 0: I/O ports at be00 [size=256]
> 	Region 2: Memory at fd6ff000 (64-bit, prefetchable) [size=4K]
> 	Region 4: Memory at fd6f8000 (64-bit, prefetchable) [size=16K]
> 	[virtual] Expansion ROM at fd600000 [disabled] [size=128K]
> 	Capabilities: <access denied>
> 	Kernel driver in use: r8169
> 	Kernel modules: r8169
> 
> 06:07.0 Multimedia video controller [0400]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [14f1:8800] (rev 05)
> 	Subsystem: Hauppauge computer works Inc. Nova-S-Plus DVB-S [0070:9202]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32 (5000ns min, 13750ns max), Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 21
> 	Region 0: Memory at f9000000 (32-bit, non-prefetchable) [size=16M]
> 	Capabilities: <access denied>
> 	Kernel driver in use: cx8800
> 	Kernel modules: cx8800
> 
> 06:07.1 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [Audio Port] [14f1:8801] (rev 05)
> 	Subsystem: Hauppauge computer works Inc. Device [0070:9202]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32 (1000ns min, 63750ns max), Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 21
> 	Region 0: Memory at f8000000 (32-bit, non-prefetchable) [size=16M]
> 	Capabilities: <access denied>
> 	Kernel driver in use: cx88_audio
> 	Kernel modules: cx88-alsa
> 
> 06:07.2 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [MPEG Port] [14f1:8802] (rev 05)
> 	Subsystem: Hauppauge computer works Inc. Device [0070:9202]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32 (1500ns min, 22000ns max), Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 21
> 	Region 0: Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
> 	Capabilities: <access denied>
> 	Kernel driver in use: cx88-mpeg driver manager
> 	Kernel modules: cx8802
> 
> 06:07.4 Multimedia controller [0480]: Conexant Systems, Inc. CX23880/1/2/3 PCI Video and Audio Decoder [IR Port] [14f1:8804] (rev 05)
> 	Subsystem: Hauppauge computer works Inc. Device [0070:9202]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32 (1500ns min, 63750ns max), Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 3
> 	Region 0: Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
> 	Capabilities: <access denied>
> 
> 06:0e.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link) [104c:8024] (prog-if 10 [OHCI])
> 	Subsystem: Giga-byte Technology GA-EP45-DS5 Motherboard [1458:1000]
> 	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
> 	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
> 	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 64 bytes
> 	Interrupt: pin A routed to IRQ 22
> 	Region 0: Memory at fcfff000 (32-bit, non-prefetchable) [size=2K]
> 	Region 1: Memory at fcff8000 (32-bit, non-prefetchable) [size=16K]
> 	Capabilities: <access denied>
> 	Kernel driver in use: firewire_ohci
> 	Kernel modules: firewire-ohci
> 
> 
> ** USB devices:
> Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 007 Device 003: ID 08bb:2900 Texas Instruments Japan PCM2900 Audio Codec
> Bus 007 Device 002: ID 058f:9254 Alcor Micro Corp. Hub
> Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 004 Device 002: ID 1307:0330 Transcend Information, Inc. 
> Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 001 Device 003: ID 046d:c046 Logitech, Inc. RX1000 Laser Mouse
> Bus 001 Device 002: ID 05e3:0608 Genesys Logic, Inc. USB-2.0 4-Port HUB
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> 
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: amd64 (x86_64)
> 
> Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
> 
> Versions of packages linux-image-2.6.32-5-amd64 depends on:
> ii  debconf [debconf-2.0]        1.5.32      Debian configuration management sy
> ii  initramfs-tools [linux-initr 0.95.1      tools for generating an initramfs
> ii  linux-base                   2.6.32-15   Linux image base package
> ii  module-init-tools            3.12~pre2-3 tools for managing Linux kernel mo
> 
> Versions of packages linux-image-2.6.32-5-amd64 recommends:
> ii  firmware-linux-free           2.6.32-15  Binary firmware for various driver
> 
> Versions of packages linux-image-2.6.32-5-amd64 suggests:
> ii  grub                          0.97-61    GRand Unified Bootloader (dummy pa
> pn  linux-doc-2.6.32              <none>     (no description available)
> 
> Versions of packages linux-image-2.6.32-5-amd64 is related to:
> pn  firmware-bnx2                 <none>     (no description available)
> pn  firmware-bnx2x                <none>     (no description available)
> pn  firmware-ipw2x00              <none>     (no description available)
> pn  firmware-ivtv                 <none>     (no description available)
> pn  firmware-iwlwifi              <none>     (no description available)
> pn  firmware-linux                <none>     (no description available)
> pn  firmware-linux-nonfree        <none>     (no description available)
> pn  firmware-qlogic               <none>     (no description available)
> pn  firmware-ralink               <none>     (no description available)
> pn  xen-hypervisor                <none>     (no description available)
> 
> -- debconf information excluded
> 
> 
> 

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 07 Jun 2010 01:21:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'linux-usb@vger.kernel.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 07 Jun 2010 01:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#584830; Package linux-2.6. (Mon, 07 Jun 2010 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sarah Sharp <sarah.a.sharp@linux.intel.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 Jun 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #19 received at 584830@bugs.debian.org (full text, mbox):

From: Sarah Sharp <sarah.a.sharp@linux.intel.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Thomas Jollans <thomas@jollybox.de>, 584830@bugs.debian.org, linux-usb@vger.kernel.org
Subject: Re: Bug#584830: linux-image-2.6.32-5-amd64: USB 3.0 / xhci prevents suspend
Date: Mon, 7 Jun 2010 09:20:07 -0700
On Mon, Jun 07, 2010 at 02:18:26AM +0100, Ben Hutchings wrote:
> On Mon, 2010-06-07 at 00:33 +0200, Thomas Jollans wrote:
> > Package: linux-2.6
> > Version: 2.6.32-15
> > Severity: normal
> > 
> > My motherboard includes a USB 3.0 controller, handled by the xhci
> > module. When the xhci module is loaded, the system fails to suspend with
> > the following log messages:
> > 
> > [  458.601622] pm_op(): usb_dev_suspend+0x0/0xa [usbcore] returns -2
> > [  458.601624] PM: Device usb2 failed to suspend: error -2
> > 
> > When I unload the xhci module, the system suspends just fine, without
> > this message.
> 
> Sarah, any idea what's going on here?  Debian version 2.6.32-15 is
> closely based on stable version 2.6.32.14.  I didn't see any later
> changes to xhci that look related to PM.

The report is expected behavior, since the xHCI driver doesn't implement
PCI and USB bus power management yet.

The xHCI power management code is still under development.  I'm not sure
if this code will be added to 2.6.32 stable, since it will add a lot of
code to the driver.  The code may need to be backported.

Can you add this bug (or a link to the debian bug) to the kernel.org
bugzilla?  I'm trying to get all my xHCI-related bug reports and feature
requests there.

Sarah Sharp




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#584830; Package linux-2.6. (Mon, 07 Jun 2010 16:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 07 Jun 2010 16:57:13 GMT) Full text and rfc822 format available.

Message #24 received at 584830@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Sarah Sharp <sarah.a.sharp@linux.intel.com>
Cc: Thomas Jollans <thomas@jollybox.de>, 584830@bugs.debian.org, linux-usb@vger.kernel.org
Subject: Re: Bug#584830: linux-image-2.6.32-5-amd64: USB 3.0 / xhci prevents suspend
Date: Mon, 7 Jun 2010 17:55:01 +0100
On Mon, Jun 07, 2010 at 09:20:07AM -0700, Sarah Sharp wrote:
> On Mon, Jun 07, 2010 at 02:18:26AM +0100, Ben Hutchings wrote:
> > On Mon, 2010-06-07 at 00:33 +0200, Thomas Jollans wrote:
> > > Package: linux-2.6
> > > Version: 2.6.32-15
> > > Severity: normal
> > > 
> > > My motherboard includes a USB 3.0 controller, handled by the xhci
> > > module. When the xhci module is loaded, the system fails to suspend with
> > > the following log messages:
> > > 
> > > [  458.601622] pm_op(): usb_dev_suspend+0x0/0xa [usbcore] returns -2
> > > [  458.601624] PM: Device usb2 failed to suspend: error -2
> > > 
> > > When I unload the xhci module, the system suspends just fine, without
> > > this message.
> > 
> > Sarah, any idea what's going on here?  Debian version 2.6.32-15 is
> > closely based on stable version 2.6.32.14.  I didn't see any later
> > changes to xhci that look related to PM.
> 
> The report is expected behavior, since the xHCI driver doesn't implement
> PCI and USB bus power management yet.

That seems like a big problem if the xhci driver is going to be auto-loaded
in desktops and laptops.

> The xHCI power management code is still under development.  I'm not sure
> if this code will be added to 2.6.32 stable, since it will add a lot of
> code to the driver.  The code may need to be backported.

I doubt it is a candidate for 2.6.32 stable, but I think we would want to
include it in Debian's kernel packages based on 2.6.32.

> Can you add this bug (or a link to the debian bug) to the kernel.org
> bugzilla?  I'm trying to get all my xHCI-related bug reports and feature
> requests there.
 
Will do.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Changed Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=16153' from 'linux-usb@vger.kernel.org' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 07 Jun 2010 20:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#584830; Package linux-2.6. (Tue, 26 Jul 2011 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Jollans <t@jollybox.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Jul 2011 17:33:03 GMT) Full text and rfc822 format available.

Message #31 received at 584830@bugs.debian.org (full text, mbox):

From: Thomas Jollans <t@jollybox.de>
To: 584830@bugs.debian.org
Subject: Fixed in recent kernel versions
Date: Tue, 26 Jul 2011 19:23:49 +0200
[Message part 1 (text/plain, inline)]
This is no longer the case in Linux-2.6.39 (testing, unstable). I
imagine the issue still exists in squeeze.

[signature.asc (application/pgp-signature, attachment)]

Bug Marked as fixed in versions 2.6.39-3. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 05 Sep 2011 04:33:03 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Sat, 04 Aug 2012 19:52:58 GMT) Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Fri, 12 Jul 2013 15:15:25 GMT) Full text and rfc822 format available.

Notification sent to "Thomas Jollans" <thomas@jollybox.de>:
Bug acknowledged by developer. (Fri, 12 Jul 2013 15:15:25 GMT) Full text and rfc822 format available.

Message #40 received at 584830-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Thomas Jollans <t@jollybox.de>
Cc: 584830-done@bugs.debian.org
Subject: Re: Fixed in recent kernel versions
Date: Fri, 12 Jul 2013 17:08:49 +0200
On Tue, Jul 26, 2011 at 07:23:49PM +0200, Thomas Jollans wrote:
> This is no longer the case in Linux-2.6.39 (testing, unstable). I
> imagine the issue still exists in squeeze.

Fixed in stable, we won't backport this to oldstable. Closing.

Cheers,
        Moritz 





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Aug 2013 07:28:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:28:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.